<template>
  <div class="w-full h-full referral-history">
    <el-table
      v-loading="isLoading"
      :data="tableData"
      :border="true"
    >
      <el-table-column
        align="right"
        header-align="center"
        prop="RequestAmountForDisplay"
        :label="$t('request_amount')"
        width="115"
      />
      <el-table-column
        align="right"
        header-align="center"
        prop="ApprovedAmountForDisplay"
        :label="$t('approved_amount')"
        width="125"
      />
      <el-table-column
        align="center"
        prop="RequestDateForDisplay"
        :label="$t('request_date')"
        width="100"
      />
      <el-table-column
        align="center"
        prop="ModifiedDateForDisplay"
        :label="$t('approved_date')"
        width="109"
      />
      <el-table-column
        align="left"
        header-align="center"
        prop="Remark"
        min-width="150"
        :label="$t('remark')"
      />
      <el-table-column
        align="center"
        prop="StatusString"
        :label="$t('status')"
        width="100"
      >
        <template #default="scope">
          <span :class="scope.row.StatusStringColorForDisplay">{{
            scope.row.StatusStringForDisplay
          }}</span>
        </template>
      </el-table-column>
      <template #empty>
        <lazy-utils-not-found />
      </template>
    </el-table>
  </div>
</template>
<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  components: {},
  setup() {
    const { tableData, isLoading } = useReferralHistory();
    return {
      tableData,
      isLoading,
    };
  },
});
</script>
<style scoped>
:deep(.el-table__empty-block) {
  border: 2px solid var(--border);
  border-top: unset;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
}
.uc-section .referral-history :deep(.el-table) {
  padding-bottom: 65px;
}
</style>